gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Structs.MountOperationHandlerSkeletonClass_

Contents

- Exported types
- Methods

Description

Class structure for `MountOperationHandlerSkeleton_`.

Synopsis

- newtype MountOperationHandlerSkeletonClass_ = MountOperationHandlerSkeletonClass_ (ManagedPtr MountOperationHandlerSkeletonClass_)
- newZeroMountOperationHandlerSkeletonClass_ :: MonadIO m => m MountOperationHandlerSkeletonClass_

# Exported types

newtype MountOperationHandlerSkeletonClass_ Source #

Memory-managed wrapper type.

Constructors

MountOperationHandlerSkeletonClass_ (ManagedPtr MountOperationHandlerSkeletonClass_) |

#### Instances

Instances details

Eq MountOperationHandlerSkeletonClass_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerSkeletonClass_ Methods (==) :: MountOperationHandlerSkeletonClass_ -> MountOperationHandlerSkeletonClass_ -> Bool Source # (/=) :: MountOperationHandlerSkeletonClass_ -> MountOperationHandlerSkeletonClass_ -> Bool Source #
BoxedPtr MountOperationHandlerSkeletonClass_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerSkeletonClass_ Methods boxedPtrCopy :: MountOperationHandlerSkeletonClass_ -> IO MountOperationHandlerSkeletonClass_ Source # boxedPtrFree :: MountOperationHandlerSkeletonClass_ -> IO () Source #
CallocPtr MountOperationHandlerSkeletonClass_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerSkeletonClass_ Methods boxedPtrCalloc :: IO (Ptr MountOperationHandlerSkeletonClass_) Source #
ManagedPtrNewtype MountOperationHandlerSkeletonClass_ Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerSkeletonClass_ Methods toManagedPtr :: MountOperationHandlerSkeletonClass_ -> ManagedPtr MountOperationHandlerSkeletonClass_ Source #
tag ~ 'AttrSet => Constructible MountOperationHandlerSkeletonClass_ tag Source # |
Instance details Defined in GI.Gtk.Structs.MountOperationHandlerSkeletonClass_ Methods new :: MonadIO m => (ManagedPtr MountOperationHandlerSkeletonClass_ -> MountOperationHandlerSkeletonClass_) -> [AttrOp MountOperationHandlerSkeletonClass_ tag] -> m MountOperationHandlerSkeletonClass_ Source #

newZeroMountOperationHandlerSkeletonClass_ :: MonadIO m => m MountOperationHandlerSkeletonClass_ Source #

Construct a `MountOperationHandlerSkeletonClass_` struct initialized to zero.

# Methods